# Memcached::set

(PECL memcached >= 0.1.0)

Memcached::set — Store an item

### Beschreibung

public Memcached::set(string `$key`, mixed `$value`, int `$expiration` = 0): bool

Memcached::set() stores the `value` on a memcache server under the specified `key`. The `expiration` parameter can be used to control when the value is considered expired.

The value can be any valid PHP type except for resources, because those cannot be represented in a serialized form. If the `Memcached::OPT_COMPRESSION` option is turned on, the serialized value will also be compressed before storage.

### Parameter-Liste

`key`

  Der Schlüssel, unter dem der Wert abgelegt werden soll.

`value`

  Der zu speichernde Wert.

`expiration`

  Die Verfallszeit, Vorgabewert ist 0. Siehe Verfallszeiten für weiterführende Informationen.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben. Benutzen Sie wenn nötig Memcached::getResultCode().

### Beispiele

Beispiel #1 Memcached::set() example

`<?php
$m = new Memcached();
$m->addServer('localhost', 11211);
$m->set('int', 99);
$m->set('string', 'a simple string');
$m->set('array', array(11, 12));
/* expire 'object' key in 5 minutes */
$m->set('object', new stdClass, time() + 300);
var_dump($m->get('int'));
var_dump($m->get('string'));
var_dump($m->get('array'));
var_dump($m->get('object'));
?>`

Das oben gezeigte Beispiel erzeugt eine ähnliche Ausgabe wie:

    int(99)
    string(15) "a simple string"
    array(2) {
      [0]=>
      int(11)
      [1]=>
      int(12)
    }
    object(stdClass)#1 (0) {
    }

### Siehe auch

- Memcached::setByKey() - Store an item on a specific server
- Memcached::add() - Add an item under a new key
- Memcached::replace() - Replace the item under an existing key

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open